# dynamic_parser

`dynamic_parser` is a Python package that leverages the power of Large Language Models (LLMs) to intelligently parse, correct, and structure malformed or unstructured JSON data. It’s perfect for situations where traditional parsers fail due to inconsistent formatting, missing fields, or syntax errors.

---

##  Features

-  Automatically fixes broken or unstructured JSON strings
-  Uses LLMs (like Groq, OpenAI) to understand context and infer structure
-  Converts text blobs into clean, structured JSON
-  Handles common issues: missing commas, quotes, brackets, or incorrect types
-  Simple integration with any Python project

---

##  Installation

```bash
pip install dynamic_parser
